[HD 3450] Upgrade 8.10 to 9.04 xorg fails to start

Bug #367741 reported by tomdean on 2009-04-27
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xorg

I upgraded from 8.10 to 9.04. Upon reboot, the display came up scrambled.

# lsb_release -rd
Description: Ubuntu 9.04
Release: 9.04

# apt-cache policy xorg
xorg:
  Installed: 1:7.4~5ubuntu18
  Candidate: 1:7.4~5ubuntu18
  Version table:
 *** 1:7.4~5ubuntu18 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

rebooting and selecting the recovery option, I got a console.
# Xorg -configure
  resulted in a signal 11.
  and fglrx was in the later messages.

# dpkg-reconfigure xserver-xorg, selecting to not use the frame buffer did not fix the problem.

The 'Downgrade from 9.04 to 8.10' thread mentioned removing the fglrx driver.

# apt-get remove --purge xorg-driver-fglrx
followed by a reboot resulted in a functioning system.

The display is somewhat strange. If I move a window half off the display to the right and back, the edge of the window is bent down until I place it. If I move a window off to the left and back, the window is smeared until I place it. Moving a window up and down results in smearing and tearing until I stop moving it.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: fglrx
Package: xorg 1:7.4~5ubuntu18
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.27-11-generic (buildd@vernadsky) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu11) ) #1 SMP Wed Apr 1 20:57:48 UTC 2009
SourcePackage: xorg
Uname: Linux 2.6.27-11-generic i686

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e20] (rev 03)
     Subsystem: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e20]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3450 [1002:95c5]
     Subsystem: ASUSTeK Computer Inc. Device [1043:01f4]

tomdean (tomdean) wrote :
Martin Olsson (mnemo) on 2009-04-27
summary: - Upgrade 8.10 to 9.04 Graphics Fails to Start
+ Upgrade 8.10 to 9.04 xorg fails to start on ATI Mobility Radeon HD 3450
Bryce Harrington (bryce) on 2009-04-28
affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Bryce Harrington (bryce) on 2009-04-28
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2009-05-06
description: updated
Bryce Harrington (bryce) on 2009-05-13
summary: - Upgrade 8.10 to 9.04 xorg fails to start on ATI Mobility Radeon HD 3450
+ [HD3450] Upgrade 8.10 to 9.04 xorg fails to start
Bryce Harrington (bryce) on 2009-06-26
summary: - [HD3450] Upgrade 8.10 to 9.04 xorg fails to start
+ [HD 3450] [HD3450] Upgrade 8.10 to 9.04 xorg fails to start
Bryce Harrington (bryce) on 2009-06-26
summary: - [HD 3450] [HD3450] Upgrade 8.10 to 9.04 xorg fails to start
+ [HD 3450] Upgrade 8.10 to 9.04 xorg fails to start
laleshii (rrr-junior) wrote :

This is taking forever to resolve ... :( I want my Ubuntu back.

Bryce Harrington (bryce) on 2009-08-13
tags: added: jaunty
tags: added: intrepid
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

A new version of the -ati driver is now available in Karmic.

This is a significant update to -ati which brings in kernel mode-setting
(currently disabled) and scores of fixes for DRI2, EXA, etc.

I've posted the new version of this driver to the following PPA,
would you mind testing it and seeing if it resolves the bug you
reported?

  https://edge.launchpad.net/~bryceharrington/+archive/ppa/+sourcepub/709908/+listing-archive-extra

If you're not running this release of Ubuntu, you can try booting the Karmic
LiveCD and loading the PPA onto it, and then log out/in to restart X.
ISOs are available at http://cdimages.ubuntu.com/releases/

After testing Karmic, report back here whether it's still an issue or not,
and if it is please post a fresh Xorg.0.log and 'dmesg' output.

Note there could be new bugs... please file these as new reports using
the command 'ubuntu-bug xorg'.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete

On Sat, 2009-08-29 at 09:42 +0000, Bryce Harrington wrote:
This appears to have fixed the smearing/tearing problem.

The startup did not hang.

Please mark this as fixed.

Thank you.

tomdean

Bryce Harrington (bryce) wrote :

Thanks for the testing Tom, we should see this driver uploaded to Karmic in a few days.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → High
status: Incomplete → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati - 1:6.12.99+git20090825.fc74e119-0ubuntu1

---------------
xserver-xorg-video-ati (1:6.12.99+git20090825.fc74e119-0ubuntu1) karmic; urgency=low

  * Checkout from git 20090825 (master branch) up to commit
    fc74e1194c980d978667e02c60a29a761a694bde
    + Adds DRI2 / redirected direct rendering
      (LP: #96991)
    + Fix freeze on opengl games (bzflag, alienarena) (when KMS on)
      (LP: #348450)
    + Fix intermittent short screen blanking behavior
      (LP: #310864)
    + Fix faulty wine screen updates with EXA Compositing
      (LP: #314205)
    + Fix screen corruption issues when switching windows
      (LP: #406731)
    + Fix SIGSEGV crash in drmCommandNone()
      (LP: #352567)
    + Fix smeared/tearing of display on reboot
      (LP: #367741

  [Tormod Volden]
  * 199_add_git_version_to_log.diff: Log git commit id in RadeonPreInit()
  * sed -i s/DRI2BufferPtr/DRI2Buffer2Ptr/ src/radeon_dri2.c
      so it compiles against xserver 1.6.2.+

  [Bryce Harrington]
  * Restore patch system and quilt to build-depends
  * Drop patches already present upstream
    + 107_check_unsupported_composit_ops.patch
    + 108_quirk_agpmode_m6_ali.patch: AGPMode quirk.
    + 109_quirk_agpmode_m7_intel.patch: AGPMode quirk.
    + 110_quirk_agpmode_r420_sis.patch: AGPMode quirk.
    + 111_use_xaa_for_lowmem_or_nodri.patch

 -- Bryce Harrington <email address hidden> Sat, 29 Aug 2009 12:16:53 -0700

Changed in xserver-xorg-video-ati (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers